#include "MenuTextSk6_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextSk6_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk6_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_6;
}

std::shared_ptr<Entity> CreateMenuTextSk6_Player1Keyboard()
{
	return std::make_shared<MenuTextSk6_Player1Keyboard>();
}


